public class Rectangle {

	private int width;
	private int height;

	//No-arg Constructor (which is called when we do "new Rectangle()"
	public Rectangle() {
		//Constructing a Rectangle: 0 by 0
		this.width = 0;
		this.height = 0;
	}

	public Rectangle(int aWidth, int aHeight) {
		//Constructing a Rectangle: aWidth by aHeight
		this.width = aWidth;
		this.height = aHeight;
	}

	//------------------------------------------
	//Getters

	public int getWidth() {
		return this.width;
	}

	public int getHeight() {
		return this.height;
	}

	//------------------------------------------
	//Setters

	public void setWidth(int aWidth) {
		this.width = aWidth;
	}

	public void setHeight(int aHeight) {
		this.height = aHeight;
	}

	//------------------------------------------
	//Calculations

	public int computeArea() {
		//area of rec is width*height
		return this.width * this.height;
	}

	//------------------------------------------
	//Common

	public String toString() {
		//Return a "nice" display string
		return "" + this.width + " x " + this.height;
	}

}